EDIT - feature request #10096

Add new TaxonNode status and make notes field more general
07/21/2022 04:51 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 70%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.32

Severity: critical

Description

Add taxon node status

)

Excluded geo., ag (geographically out of scope); specification of excluded status

Excluded tax., gt (taxonomically out of scope); specification of excluded status

Excluded nom., gn (excluded for nomenclatural reasons); specification of excluded status

e Uncertain application, @a/T (name of verified uncertain application); specification of excluded status; the second symbol is math
symbol for undefined, we may also think about https://unicode-table.com/en/2BD1/ (uncertainty sign)

e Unresolved, u (names that could not be clarified with the sources used and need further investigation)

The notes field should be available for all status including NONE (or included). So it should become a general placement note, not
only a status note. The according model change (change of field name in TaxonNode) is handled in #10100

Related issues:

Related to EDIT - feature request #9010: Display taxon node status excluded, ... Closed
Related to EDIT - feature request #9002: Find suitable symbols for excluded, ... New

Related to EDIT - feature request #9005: Make the TaxonNode flags alternative... Closed
Related to EDIT - feature request #8281: Doubtful flag for TaxonNode Closed
Related to EDIT - bug #10120: After status change symbol not shown in navigator Closed
Related to EDIT - bug #10121: ConstraintViolationException when editing place... Worksforme
Copied to EDIT - task #10100: Rename statusNote into placementNote in TaxonNode New

Copied to EDIT - feature request #10103: Add "Included" as default status to ... New

Associated revisions

Revision 271e9937 - 07/26/2022 12:55 PM - Andreas Miiller

ref #10096 add new taxon node status to TaxonNodeStatus and TaxonNode getters

Revision 4b7eaca0 - 07/26/2022 12:56 PM - Andreas Miiller

ref #10096 adapt cdmlight to new taxon node status and rename status notes to placement notes

Revision e9d963ac - 07/26/2022 12:59 PM - Andreas Miiller
ref #10096 add excluded only to cdmlight export

Revision f2e4d29b - 07/26/2022 01:02 PM - Andreas Miiller

ref #10096 add placement status to cdmlight export as string

Revision 1a15¢467 - 07/26/2022 01:04 PM - Andreas Miiller

ref #10096 fix placement status and handle missing status as null (not "included")

Revision dfc2be4b - 07/26/2022 01:41 PM - Andreas Miiller

ref #10096 fix cdmlight export test for taxon node status

Revision 75f1593a - 07/26/2022 04:15 PM - Andreas Miiller
ref #10096 allow notes for all taxon nodes and rename STATUS_NOTES to PLACEMENT_NOTES
https://unicode-table.com/en/2BD1/
https://dev.e-taxonomy.eu/redmine/issues/10100

Revision 00a1c85b - 07/26/2022 11:55 PM - Andreas Miiller

ref #10096 unified taxon node status handling during taxon node comparison

Revision 97bed710 - 07/27/2022 12:11 AM - Andreas Miiller

ref #10096 unified taxon node status handling during taxon node comparison (cont.)

Revision 37eb6de9 - 07/27/2022 01:04 AM - Andreas Miiller

ref #10096 unified taxon node status handling during taxon node comparison (cont. 1l)

Revision 37849813 - 07/29/2022 12:08 PM - Andreas Miiller

ref #10096 add long labels to TaxonNodeStatus and add commented default status

Revision 4e5b8da0 - 07/29/2022 12:38 PM - Andreas Miiller

ref #10096 adapt cdmlight test to longer taxon node status labels

Revision caafa683 - 07/29/2022 03:20 PM - Andreas Miiller

ref #10096 use symbol for taxon node status, not ASCII

Revision ca31f2e6 - 07/29/2022 07:30 PM - Andreas Miiller
ref #10096 add correct UTF8 for status unresolved

Revision c5e7d4d0 - 07/29/2022 09:00 PM - Andreas Miiller

ref #10096 fix placement notes label in default messages

Revision b7997734 - 07/30/2022 01:12 AM - Andreas Miiller

ref #10096 adapt some failing tests related to TaxonNodeStatus label and ordering

Revision 9a7edb27 - 07/30/2022 01:27 AM - Andreas Miiller

ref #10096 adapt some failing tests related to TaxonNodeStatus label and ordering (cont.)

Revision 8a8db6f7 - 07/30/2022 08:39 AM - Andreas Miiller

ref #10096 use longer form for TaxonNodeStatus labels

Revision ba55972b - 07/30/2022 08:42 AM - Andreas Miiller
ref #10096 add short label to TaxonNodeStatus

Revision b8fec484 - 07/30/2022 08:48 AM - Andreas Miiller

ref #10096 adapt dataportal tests to use current TaxonNodeStatus.label

Revision 95f83e6e - 07/30/2022 08:58 AM - Andreas Miiller
ref #10096 adapt cdmLight tests to use current TaxonNodeStatus.label

Revision 05aa14e7 - 07/30/2022 03:35 PM - Andreas Miiller

ref #10096 fix taxon node status label in dataportal test

History

#1 - 07/21/2022 04:51 PM - Andreas Miiller
- Status changed from New to Discussed

- Severity changed from normal to critical

#2 - 07/21/2022 04:51 PM - Andreas Miiller
- % Done changed from 0 to 10

#3 - 07/26/2022 10:58 AM - Andreas Mdiller

- File Referencing-Circumscription-Assignments-Placements_NK.docx added
For details see attachement.

#4 - 07/26/2022 11:05 AM - Andreas Miiller
WGB:

ich habe eine Diskussion aus dem Mai 2020 wieder aufgegriffen, da ich dringend eine Erweiterung des Placement-Vokabulars brauche — bzw. die
M@oglichkeit, dort referenzierte Notes abzulegen. Seht Ihr Euch das anhdngende mal an? Vor allem, ob die Statusangaben auf der 2. Seite so
akzeptabel sind? Dann kann das Andreas hoffentlich noch im neuen Release unterbringen.

Das sollte vollstandig riickwartskompatibel sein, da die bisherigen Termini und Symbole beibehalten werden.

Der nachste Schritt ware dann, dies verniinftig in den Print- und vor allem den Portal-Output zu integrieren, da gibt’s noch Diskussionsbedarf.
Nadja hatte sich das schon angesehen und erganzt.

Norbert und Eckhard sind wohl nicht dazu gekommen, dies zu kommentieren, ich glaube aber, dass mit dem Abdecken von Nadjas Kommentaren die
Sache in sich schlissig ist. AuBerdem kann ja (durch die Kompatibilitat mit der bisherigen Lésung im Eingabebereich) auch kein Schaden angerichtet
werden, wenn wir das jetzt schon so im Taxonomic Editor implementieren. Das (in Kombination mit der Ausgabe der Status note und der sub-Namen
bei den sec.-Refs in CDM-light) wird es mir dann ermdglichen, die Achyranthoid-Clade-Checklist fir die Publikation direkt aus der Datenbank zu
generieren.

NoK:

ich habe keine Einwande, aber noch eine Nachfrage zur gegenwartigen Implementierung:

Ich habe gelegentlich den Fall, dass ich ein taxon node provisorisch und informell nur mit einem lineage/clade Namen bezeichnen méchte (z.B.
"Melanoseris lineage"), weil noch nicht entscheiden ist, ob dieses Monophylum tatsachlich als separate Gattung akzeptiert werden sollte, weshalb
sich darunter auch Arten mit anderen Gattungsnamen befinden. Die gegenwartige Implementierung versieht im Taxon Editor diese nodes
automatisch mit dem unplaced ("??") Symbol (was inhaltlich falsch ist, da die Platzierung im nachsthéheren Taxon gar nicht in Frage steht), ohne
dass ich das editieren kdnnte. Da das im Portal nicht ausgeben wird, stért es mich auch nicht sonderlich., wenn aber an einer Ausgabe gearbeitet
wird, muss dieser Automatismus geéndert werden oder zumindest der Status editierbar gemacht werden. Einen eigene Status dafir finde ich nicht
nétig, da die informelle Benennung fir sich spricht.

AM:

vielen Dank fur die Antwort. Inhaltlich wiirde ich Kommentare hierzu den anderen Taxonomen Uberlassen, insbesondere auch die Frage, ob dieser
Fall bereits von einem der anderen Status irgendwie abgedeckt ist.

Aber eine formale Anmerkung: du sagst ,Einen eigene Status dafir finde ich nicht nétig, da die informelle Benennung fiir sich spricht.” Das stimmt
sicherlich fur den menschlichen Leser, die Frage ist aber, ob nicht auch Maschinen diesen Status interpretieren kénnen sollten. Das fangt mit der
Frage an, ob bei der Sortierung (die ja von Maschinen gemacht wird) abgewichen werden soll vom Standard, insbesondere auch, wenn dem
Pseudonamen eigentlich kein Rang zugewiesen ist. Zudem waére es hilfreich, bei Validierungsfragen (derzeit leider noch kaum sichtlich implementiert)
anhand eines Status zu erkennen, um was es sich hier handelt. Z.B. kann dann erkannt werden, dass der Gattungsname der Kinder nicht falsch ist,
obwohl er nicht mit dem Eltern-Namen Gbereinstimmt. Auch wére die Frage nach einem speziellen Symbol oder einer speziellen Formatierung zu
stellen und vielleicht noch andere Dinge.

Vieles davon gilt vermutlich fir alle ,Pseudotaxa“, weshalb ich eigentlich auch nochmal eine Diskussion Gber das wann, wo und weshalb werden
Pseudotaxa benutzt und wie kdnnen sie vom Modell am besten unterstitzt werden, fihren wirde.
Allerdings muss das nicht jetzt sein, um nicht die von Walter dringend benétigten neuen Taxonknoten Status zu verzégern.

NoK:

Du hast natrlich recht. Ich hatte das mit dem eigenen Status auch eher pragmatisch im unmittelbaren Kontext gemeint. Abgedeckt scheint mir dieser
Status durch Walters Erweiterungen tatsachlich noch nicht.

AM:

wirde es dann Sinn machen, fir solche ,Lineage” Taxa/Knoten einen eigenen Status hinzuzufligen. Wie wirden wir ihn dann benennen? ,Lineage"?
,Clade“? Was wiirde da alles drunter fallen?

Und ist er richtig angesiedelt bei TaxonNode oder ist es eher eine reine Taxon Info? Ich wiirde personlich ersteres erwarten, da das ,Taxon" ja primar
zur Einsortierung der Kindtaxa gedacht ist, als eine Positionsbezogene Information.

WGB:
ich bin mir nicht sicher, ob wir dies irgendwie (maschinenlesbar) abbilden mussen, die einzige Nutzung die mir einfallt, ist ein Filter bei der Ausgabe

reiner Namenslisten. Wir haben hier auch andere nicht-Code ,Node-Typen*, die Uber Rangstufen abgebildet werden, wie z.B. Aggregate, Species
groups, informelle héhere Taxa (,Gymnospermes*), etc.

#5 - 07/26/2022 11:13 AM - Andreas Miiller
- Related to feature request #9010: Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon

node status note and taxon node source on taxon page added

#6 - 07/26/2022 11:13 AM - Andreas Mdller

- Related to feature request #9002: Find suitable symbols for excluded, unplaced, placement doubtful added
#7 - 07/26/2022 11:15 AM - Andreas Miiller

- Related to feature request #9005: Make the TaxonNode flags alternatives and change excluded notes to status notes added

#8 - 07/26/2022 11:26 AM - Andreas Miiller

- Description updated

#9 - 07/26/2022 11:28 AM - Andreas Miiller

- Description updated

#10 - 07/26/2022 11:59 AM - Andreas Miiller
- Related to feature request #8281: Doubtful flag for TaxonNode added

#11 - 07/26/2022 12:57 PM - Andreas Miiller
- Status changed from Discussed to In Progress

- % Done changed from 10 to 60

Status added and cdmlight adapted. Still need to test in taxeditor and dataportal.

#12 - 07/26/2022 03:41 PM - Andreas Miiller

- Subject changed from Add new TaxonNode status to Add new TaxonNode status and make notes field more general

#13 - 07/26/2022 03:42 PM - Andreas Miiller

- Description updated

#14 - 07/26/2022 03:44 PM - Andreas Miiller

- Copied to task #10100: Rename statusNote into placementNote in TaxonNode added

#15 - 07/26/2022 03:45 PM - Andreas Miiller

- Description updated

#16 - 07/26/2022 04:18 PM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 60 to 70

This should be fixed now. Katja, can you please review when back.

Please also have a look to the changes in TaxEditor code (commit:75f1593acb707) and fully remove the commented code there if my implementation
is correct. Maybe the code can be cleaned up further.

#17 - 07/26/2022 04:21 PM - Andreas Miiller

@Katja: can you please also have a look why there are 3 messages.properties that seem to hold the same values (in taxeditor.local, taxeditor.store
and taxeditor.workbench). Is this really necessary or can we deduplicate them. It looks like only the one in t.store is used in the current example.
These 3 messages.properties are very cofusing (and time consuming) if you are not used to it.

Can you please deduplicate them if possible?

#18 - 07/26/2022 11:11 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#19 - 07/29/2022 12:32 PM - Andreas Miiller
- File clipboard-202207291232-bwj9t.png added

AM:

ich habe das jetzt mal implementiert. Es sollte im nachsten Release (vermutlich noch diese Woche) drin sein.

Ich habe dabei die Status geo excluded, tax excluded, nom excluded und uncertain application alle als Unterstatus (spezifischere Status) von exluded
implementiert. D.h. wenn nur auf exluded getestet wird, wird bei diesen Status ebenfalls true zuriickgegeben. Bei ,uncertain application“ bin ich mir da
aber nicht 100% ig sicher, ob das stimmt. Das vorgeschlagene Symbol ga l&sst es mich aber vermuten.

Zumindest in cdmlight bekommt man aber alles genau aufgedréselt, also auch, ob der Status exact excluded ist und nicht ,nur ein Unterstatus.
Zudem habe ich eine Textreprésentation des Status in cdmlight integriert fiir den Fall der Falle.

Da die Status jetzt hierarchisch sind, frage ich mich zudem, ob es nicht auch bei unplaced and unresolved eine Hierarchie gibt. Ist evitl. unresolved ein
spezifischer Fall von unplaced? Also der Fall, dass alle vorliegenden Quellen durchgegangen wurden und eine genauere Zuordnung nicht méglich
war, wahrend unplaced evtl. auch den Fall umfasst, dass die Zuordnung nur vorléaufig ist da noch nicht unbedingt alle Quellen befragt wurden. Wenn
das nicht so ist, kénntet ihr nochmal kurz beschreiben, wie der Unterschied zwischen unresolved und unplaced am besten zu beschreiben ist. Dann
kann ich das in die Code Dokumentation mit aufnehmen.

Eine andere Frage wére, wie die Standardsortierung aussehen sollte. Also welcher Status zuerst (nach ,included“), und welcher weiter unten.
WGB:

zwei Nachfragen zum Interface:

“als Unterstatus implementiert” — bedeutet das, dass man erst eine 2. Liste aufmachen muss? Bei der doch recht kurzen Auswahl (9 Zeilen) fé&nde ich
das nicht schon.

Und nur ,excluded” ohne Spezifikation bleibt auch erhalten, nicht?

Zur den Labeln wirde ich vorschlagen, die etwas langer und dafiir ein bisschen mehr selbsterklarend zu machen:
Taxon included in parent taxon (default)

Taxon included in parent taxon with doubts

Taxon unplaced

Name or taxon excluded (unspecific)

Taxon excluded (geographically out of scope)

Taxon or name excluded (taxonomically out of scope)

Name excluded (for nomenclatural reasons)

Name of verified uncertain application

Unresolved name — to be further revised

AM:

nein, keine 2. Liste. Es ist lediglich semantisch klar, dass die Status substatus sind, eventuell kénnte man das mal durch Einrlicken auch optisch
anzeigen. Bislang aber noch nicht der Fall.

Das mit den langen Labeln schau ich mir an, ob das nicht den Dialog etwas sprengt.
WGB:
bei den Labels kdnnte man noch etwas abkirzen:

Taxon included in parent taxon (default)
Taxon incl. in parent taxon with doubts
Taxon unplaced

Name/taxon excluded (unspecific)

Taxon excl. (geographically out of scope)
Taxon/name excl. (taxonomically out of sc.)
Name excl. (for nomenclatural reasons)
Name of verified uncertain application
Unresolved name — to be further revised

AM:

ich habe das mal implementiert:

Taxon Node
Klassiffikatoon
Plattiemungsstatus

Pluicrnngft-.ﬁnmem.m“
Tawon el in parent tason with doubts
Tamon unplaced
Hame/tacon excleded (unspecific)

el m et o
Taxon/narme excl. {tarenomically out of sc)
Flarme excl, (For momenclatursl neasond)
Harrse of verified uncertamn applicatson
Unresohved name #i° to be further revised

Platrienungsguelle

Details 33

w Linkiz) « -

uRl | hEtps/fwww sbc.de | J' I:
Da ist mehr Platz als ich dachte. Man kénnte also auch die noch langere Form verwenden? Vielleicht Anzeige mit Symbol vorne dran, das erhéht den
Wiedererkennunseffekt.
(Das Sonderzeichen (En-Dash) korrigiere ich noch).
Ich wiirde gerne aber nochmal auf meine Frage nach der Sortierung zuriickkommen. Gibt es da weitere Vorgaben.

AuBerdem waére das Verhaltnis von unplaced und unresolved fiir die interne Dokumentation interessant.

Beide Fragen siehe meine Mail unten.
#20 - 07/29/2022 12:34 PM - Andreas Miiller

- Copied to feature request #10103: Add "Included" as default status to taxon node status added

#21 - 08/22/2022 02:55 PM - Katja Luther

When adding taxonnode status and status note, but this seems to be a problem with the note.

last remote method : https://test.e-taxonomy.eu:443/cdmserver/rem_conf_am/remoting/taxonnode.service
last remote request client time : 2022-08-22T14:54:08.644
last remote request response header time : Mon, 22 Aug 2022 12:54:08 GMT
client error time : 2022-08-22T14:54:08.959
login : admin
editor version : 5.33.0.202208221219
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.32.0.0.20220807
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.springframework.dao.DatalntegrityViolationException: could not execute statement; SQL [n/a]; constraint [n
ull]; nested exception is org.hibernate.exception.ConstraintViolationException: could not execute statement

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (SessionFactoryUt
ils.java:241)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessException (Hibernat
eTransactionManager. java:755)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactionManager. jav
a:594)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (AbstractPlatfo
rmTransactionManager. java:765)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTrans
actionManager. java:734)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning (Tr
ansactionAspectSupport.java:522)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio
nAspectSupport. java:293)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor. java:9
6)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy826.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokedJoinpoint (ReflectiveMethodInvocation
.Jjava:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15
7)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (RemoteInvocationTraceInter
ceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxyl229.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (DebuggingRemoteInvocationExecuto
r.java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter
.java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati
onBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp
orter.java:80)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:967)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:901)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:970)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:872)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:846)
web.
web.
web.
web.

web.

web.

.springframework.security.web.

javax.servlet.http.HttpServlet.service (HttpServlet. java:790)
eclipse.jetty.servlet.ServletHolderS$NotAsyncServlet.service (ServletHolder. java:1395)
eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:755)
.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1617)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:317
access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:331
access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
.session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331

.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
116)

java:

.authentication.logout.LogoutFilter.doFilter (LogoutFilter. java:

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. 331

.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter. java:66)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331

.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInterna
:56)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331

.FilterChainProxy.doFilterInternal (FilterChainProxy. java:214)
.FilterChainProxy.doFilter (FilterChainProxy.java:177)

web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. java:347)
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:263)
eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)
eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:56)
org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1604)
springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:19

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1596)
.servlet.ServletHandler.doHandle (ServletHandler. java:545)

.ScopedHandler.handle (ScopedHandler. java:143)

security.SecurityHandler.handle (SecurityHandler. java:590)
.handler.
handler.
session.
.handler.
handler.
handler.
servlet.ServletHandler.doScope (ServletHandler. java:485)

HandlerWrapper.handle (HandlerWrapper. java:127)
ScopedHandler.nextHandle (ScopedHandler. java:235)
SessionHandler.doHandle (SessionHandler. java:1607)
ScopedHandler.nextHandle (ScopedHandler. :233)
ContextHandler.doHandle (ContextHandler. java:1297)
ScopedHandler.nextScope (ScopedHandler. java:188)

java

.SessionHandler.doScope (SessionHandler. java:1577)
.ScopedHandler.nextScope (ScopedHandler. java:186)
.ContextHandler.doScope (ContextHandler. java:1212)
.ScopedHandler.handle (ScopedHandler. java:141)
.HandlerWrapper.handle (HandlerWrapper. java:127)
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

at
at
at
at

eu.etaxonomy.cdm.server.logging.InstanceLogWrapper.handle (InstancelLogWrapper. java:48)
r.handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:221)
r.handler.HandlerWrapper.handle (HandlerWrapper. java:127)

org.
org.

org

org.
org.

org

org.
org.

org

org.
org.

org

org.
org.

org

org.

org

org

ationUtils
at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)
.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocationResult (Remot

at

org

eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.

eclipse.
.eclipse.

.java:45)

jet
jet
jet
jet
jet
jet
jet
jet
jet
jet
jet
jet
jet
jet
jet

jet
jet

ty.serve
ty.serve
ty.serve
ty.serve
ty.serve
ty.serve
ty.serve

ty.util.
ty.util.
ty.util.
ty.util.
ty.util.

ty.util.
ty.util.

r.Server.

handle (Server.java:500)

r.HttpChannel.lambda$handle$l (HttpChannel. java:383)
r.HttpChannel.dispatch (HttpChannel. java:547)

r.HttpChannel.handle (HttpChannel. java:375)
r.HttpConnection.onFillable (HttpConnection. java:270)
ty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)
ty.io.FillInterest.fillable (FillInterest.java:103)
ty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)
thread.strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)
thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)
thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill.java:171)
thread.strategy.EatWhatYouKill.run (EatWhatYouKill.java:129)
thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecutor. java: 388

thread.QueuedThreadPool.rundob (QueuedThreadPool. java:806)
thread.QueuedThreadPool$Runner. run (QueuedThreadPool. java: 938)
java.lang.Thread.run (Thread. java:748)
.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible (RemoteInvoc

eInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.Jjava:158)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)
at
at
at

a:57)
at

va:66)
at
at
at
at
at
at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

com.sun.proxy.$Proxy87.merge (Unknown Source)
eu.etaxonomy.taxeditor.ui.section.classification.EditTaxonNodeWizard.saveEntity (EditTaxonNodeWizard. jav

eu.etaxonomy.taxeditor.ui.section.classification.AbstractEditWizard.performFinish (AbstractEditWizard. ja

org.

org

org.
org.

org

org.
org.

org

org.
org.

org

eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.

jface.wizard.WizardDialog.finishPressed(WizardDialog. java:790)

jface.wizard.WizardDialog.buttonPressed (WizardDialog. java:423)
jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)

swt.

swt
swt

swt.

swt
swt

jface.window.Window.

.widgets.
.widgets.
widgets.
.widgets.
.widgets.
jface.window.Window.

widgets.

TypedListener.handleEvent (TypedListener. java:249)
EventTable.sendEvent (EventTable. java:84)

Display.
Widget.sendEvent (Widget.java:1079)
Display.
Display.

sendEvent (Display. java:4418)

runDeferredEvents (Display. java:4236)
readAndDispatch (Display. java:3824)
runEventLoop (Window. java:818)

open (Window. java:794)

eu.etaxonomy.taxeditor.handler.defaultHandler.e4.DefaultOpenTaxonNodeWizardHandlerE4.open (DefaultOpenTa
xonNodeWizardHandlerE4. java:61)

at eu.etaxonomy.taxeditor.handler.defaultHandler.e4.DefaultOpenTaxonNodeWizardHandlerE4.open (DefaultOpenTa
xonNodeWizardHandlerE4. java:1)
at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenHandlerBaseE4.handleUuidList (DefaultOpenHan
dlerBaseE4. java:60)
at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenHandlerBaseE4.execute (DefaultOpenHandlerBas
eE4.java:51)

at
at
at
at
at
at
at
at
at
at
at
at
at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
ernal.di.MethodRequestor.execute (MethodRequestor. java:55)

org.
org.

org

org.
org.

org

org.
org.

org

org.

ava:433)

at

org

butionItem

eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.

.eclipse.

ed.
ed.
ed.
ed.
ed.
ed.

core.int
core.int
core.int
core.int
core.con

core.commands.

ernal.di.
ernal.di.
ernal.di.

InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
InjectorImpl.invoke (InjectorImpl. java:264)

texts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)

internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)

core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

ed.
ed.

ed.

.java:454)
at org.eclipse.e4.

em. java:482)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
core.commands.internal.HandlerServicelImpl.executeHandler (HandlerServiceImpl. java:210)
ui.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContributionItem. j

ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt
at
at
at
at
at
at
at
at
at
at
at
at
at
at

at
at
at
at
at
at
at
at
at
at
Caused
at
at
va:42)
at
at
at
at
at

org

org.
org.

org

org.
org.

org

org.
org.

org

org.

.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

eclipse.

eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)

.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)

org

org.

org

org.
org.
sun.
sun.
sun.

.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)

eclipse.

eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
reflect.NativeMethodAccessorImpl.invokeO (Native Method)
reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)

org.
org.

org
by:

org.
.hibernate.

org

org.
.hibernate.
hibernate.

org

org.
org.
.hibernate.

org

ava:1593)

at
at
at
at
at
at

org.
.hibernate.
hibernate.

org

org.

eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
eclipse.equinox.launcher.Main.basicRun (Main.java:610)

.eclipse.equinox.launcher.Main.run (Main. java:1519)
org.hibernate.exception.ConstraintViolationException: could not execute statement
.exception.internal.SQLExceptionTypeDelegate.convert (SQLExceptionTypeDelegate.java:59)

hibernate

hibernate.

hibernate.

hibernate.

engine. jdbc.
engine. jdbc.
engine. jdbc.
engine. jdbc.

exception.internal.StandardSQLExceptionConverter.convert (StandardSQLExceptionConverter. ja

spi.SglExceptionHelper.convert (SglExceptionHelper. java:113)
spi.SglExceptionHelper.convert (SqlExceptionHelper. java:99)
internal.
batch.internal.NonBatchingBatch.addToBatch (NonBatchingBatch. java:46)

persister.collection.AbstractCollectionPersister.insertRows (AbstractCollectionPersister.j

ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. java:200)

action.internal.CollectionUpdateAction.execute (CollectionUpdateAction. java:89)
engine.spi.ActionQueue.executeActions (ActionQueue. java:604)
engine.spi.ActionQueue.lambda$SexecuteActions$l (ActionQueue. java:478)

java.util.LinkedHashMap.forEach (LinkedHashMap. java:684)

org
org

.hibernate

.hibernate.

ner.java:344)

at org.hibernate.
at org.hibernate.

mpl.java:99)

at
at
at
at
at

org

org.
org.
.hibernate.
hibernate.

org

org.

java:448)

at

org

.hibernate.
hibernate.

.hibernate.resource.transaction.

hibernate.

.engine.spi.ActionQueue.executeActions (ActionQueue. java:475)

internal.
internal.
internal.
internal.

SessionImpl.
SessionImpl.
SessionImpl.
SessionImpl.
engine. jdbc.internal.

event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushingEventListe

event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. java:40)
event.service.internal.EventListenerGroupImpl.fireEventOnEachListener (EventListenerGroupl

doFlush (SessionImpl.java:1362)

managedFlush (SessionImpl. java:453)
flushBeforeTransactionCompletion (SessionImpl. java:3212)
beforeTransactionCompletion (SessionImpl. java:2380)
JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoordinatorImpl.

backend. jdbc.internal.JdbcResourcelocalTransactionCoordinatorImpl.be

foreCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:183)
at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImpl.ac

cess$300 (JdbcResourcelLocalTransactionCoordinatorImpl. java:40)
at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImplS$Tr
ansactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:281)

at
at
a:582)

Caused
at
at
at
at
at
at
at
at
at

org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:101)
org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactionManager. jav

174 more
java.sql.SQLIntegrityConstraintViolationException: Column 'statusNote_KEY' cannot be null
jdbc.exceptions.SQLError.createSQLException (SQLError. java:117)

by:

com.

com

com.
com.

com

com.
com.

com

org.

mysgl.cj.
.mysgl.cj.
mysqgl.cj.
mysgl.cj.
.mysgl.cj.
mysqgl.cj.
mysgl.cj.

jdbc.exceptions.SQLExceptionsMapping.translateException (SQLExceptionsMapping.java:122)
jdbc.ClientPreparedStatement.executeInternal (ClientPreparedStatement. java:916)
jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1061)

jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1009)
jdbc.ClientPreparedStatement.executelargeUpdate (ClientPreparedStatement. java:1320)
jdbc.ClientPreparedStatement.executeUpdate (ClientPreparedStatement. java:994)

.mchange.v2.c3p0.impl.NewProxyPreparedStatement .executeUpdate (NewProxyPreparedStatement. java:384)

194 more

#22 - 08/22/2022 03:04 PM - Katja Luther
hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. java:197)
Newly set status are not shown in the navigator (tested for 'taxon included in parent taxon with doubts' and 'unplaced’)

update: after reconnect the status is shown

#23 - 08/24/2022 02:07 PM - Katja Luther

Katja Luther wrote in #note-22:
Newly set status are not shown in the navigator (tested for 'taxon included in parent taxon with doubts' and 'unplaced')

update: after reconnect the status is shown

moved to new ticket #10120

#24 - 08/24/2022 02:07 PM - Katja Luther
- Related to bug #10120: After status change symbol not shown in navigator added

#25 - 08/24/2022 02:14 PM - Katja Luther

Katja Luther wrote in #note-21:
When adding taxonnode status and status note, but this seems to be a problem with the note.

last remote method : https://test.e-taxonomy.eu:443/cdmserver/rem_conf_am/remoting/taxonnode.service
last remote request client time : 2022-08-22T14:54:08.644

last remote request response header time : Mon, 22 Aug 2022 12:54:08 GMT

client error time : 2022-08-22T14:54:08.959

login : admin

editor version : 5.33.0.202208221219

server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 5.32.0.0.20220807

os : Windows Server 2012 R2 6.3 amd64

Java : 1.8.0_131

org.springframework.dao.DatalntegrityViolationException: could not execute statement; SQL [n/a]; constrain
t [null]; nested exception is org.hibernate.exception.ConstraintViolationException: could not execute stat
ement

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (SessionFactory

Utils.java:241)

create new ticket for KL (#10121)

#26 - 08/24/2022 02:15 PM - Katja Luther

- Related to bug #10121: ConstraintViolationException when editing placement notes added

#27 - 08/24/2022 02:16 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

Files
clipboard-202207291232-bwj9t.png 70.2 KB 07/29/2022 Andreas Miller

04/20/2024 10/10


https://dev.e-taxonomy.eu/redmine/issues/10120
https://dev.e-taxonomy.eu/redmine/issues/10121
http://www.tcpdf.org

